> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bey.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete External API Configuration

> Delete external API configuration.



## OpenAPI

````yaml /openapi.json delete /v1/external-apis/{id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/external-apis/{id}:
    delete:
      tags:
        - External APIs
      summary: Delete External API Configuration
      description: Delete external API configuration.
      operationId: delete_external_api_v1_external_apis__id__delete
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: External API configuration ID.
            title: Id
          description: External API configuration ID.
      responses:
        '204':
          description: Successful Deletion
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Your Beyond Presence API Key.
      in: header
      name: x-api-key

````